<?php
/**
 * @package WordPress
 * @subpackage multi-color
 */
/**********************************/
/****     Theme Options        ****/
/**********************************/
class mcOptions {
    function getOptions() {
        $options = get_option('mc_options');
        if (!is_array($options)) {
            $options = initialize_options();
            update_option('mc_options', $options);
        }
        return $options;
    }

    function adddeleteOptions() {
        if(isset($_POST['mc_save'])) {
            $options = mcOptions::getOptions();
            if($_POST['mc_color_scheme'] == 'dark') {
                $options['mc_color_scheme'] = 'dark';
            } else {
                $options['mc_color_scheme'] = 'light';
            }
            if($_POST['mc_blog_style'] == 'magazine') {
                $options['mc_blog_style'] = 'magazine';
            } else if($_POST['mc_blog_style'] == 'news-gallery') {
                $options['mc_blog_style'] = 'news-gallery';
            } else {
                $options['mc_blog_style'] = 'traditional';
            }
            $options['mc_content_width'] = stripslashes($_POST['mc_content_width']);
            if(!$_POST['mc_show_sidebar']) {
                $options['mc_show_sidebar'] = (bool)false;
            } else {
                $options['mc_show_sidebar'] = (bool)true;
            }
            $options['mc_sidebar_width'] = stripslashes($_POST['mc_sidebar_width']);
            $options['mc_header_height'] = stripslashes($_POST['mc_header_height']);
            $options['mc_thumbnail_size'] = stripslashes($_POST['mc_thumbnail_size']);
            if($_POST['mc_tab_count'] == 1) {
                $options['mc_tab_count'] = 1;
            } else if($_POST['mc_tab_count'] == 2) {
                $options['mc_tab_count'] = 2;
            } else if($_POST['mc_tab_count'] == 3) {
                $options['mc_tab_count'] = 3;
            } else {
                $options['mc_tab_count'] = 0;
            }
            $options['mc_tab1_title'] = stripslashes($_POST['mc_tab1_title']);
            $options['mc_tab2_title'] = stripslashes($_POST['mc_tab2_title']);
            $options['mc_tab3_title'] = stripslashes($_POST['mc_tab3_title']);
            if(!$_POST['mc_add_rss']) {
                $options['mc_add_rss'] = (bool)false;
            } else {
                $options['mc_add_rss'] = (bool)true;
            }
            if($_POST['mc_add_adsense']) {
                $options['mc_add_adsense'] = (bool)true;
            } else {
                $options['mc_add_adsense'] = (bool)false;
            }
            if($_POST['mc_add_twitter']) {
                $options['mc_add_twitter'] = (bool)true;
            } else {
                $options['mc_add_twitter'] = (bool)false;
            }
            if($_POST['mc_add_flickr']) {
                $options['mc_add_flickr'] = (bool)true;
            } else {
                $options['mc_add_flickr'] = (bool)false;
            }
            if($_POST['mc_add_breadcrumbs']) {
                $options['mc_add_breadcrumbs'] = (bool)true;
            } else {
                $options['mc_add_breadcrumbs'] = (bool)false;
            }
            if(!$_POST['mc_show_category']) {
                $options['mc_show_category'] = (bool)false;
            } else {
                $options['mc_show_category'] = (bool)true;
            }
            if(!$_POST['mc_show_tags']) {
                $options['mc_show_tags'] = (bool)false;
            } else {
                $options['mc_show_tags'] = (bool)true;
            }
            if($_POST['mc_excerpt_traditional']) {
                $options['mc_excerpt_traditional'] = (bool)true;
            } else {
                $options['mc_excerpt_traditional'] = (bool)false;
            }
            if($_POST['mc_show_page_meta']) {
                $options['mc_show_page_meta'] = (bool)true;
            } else {
                $options['mc_show_page_meta'] = (bool)false;
            }
            if(!$_POST['mc_show_bookmark_links']) {
                $options['mc_show_bookmark_links'] = (bool)false;
            } else {
                $options['mc_show_bookmark_links'] = (bool)true;
            }
            update_option('mc_options', $options);
        } else if(isset($_POST['mc_reset'])) {
            delete_option('mc_options');
        } else {
            mcOptions::getOptions();
        }
        add_theme_page(__('Multi-Color Theme Options','multi-color'), __('Theme Options','multi-color'), 'edit_themes', basename(__FILE__), array('mcOptions', 'displayOptions'));
    }

    function displayOptions() {
        $options = mcOptions::getOptions();
?>
    <div class="wrap">
        <p><h2><img src="<?php echo get_template_directory_uri(); ?>/images/theme_icon.png" style="vertical-align:middle; margin-right:20px;" /><?php _e('Multi-Color Theme Options','multi-color'); ?></h2></p>
        <?php if(isset($_POST['mc_save'])) { ?>
            <div id="message" class="updated confirm" style="padding:7px;font-weight:bold;"><?php _e('Settings Saved','multi-color'); ?></div>
        <?php } else if(isset($_POST['mc_reset'])) { ?>
            <div id="message" class="updated confirm" style="padding:7px;font-weight:bold;"><?php _e('Default Settings Restored','multi-color'); ?></div>
        <?php } ?>
        <p>
            <h3><?php _e('Index of options','multi-color'); ?></h3>
            <p><?php _e('Jump directly to these options','multi-color'); ?></p>
            <ol>
                <li><a href="#color_scheme_label"><?php _e('Select color scheme','multi-color'); ?></a></li>
                <li><a href="#blog_style_label"><?php _e('Select blog style','multi-color'); ?></a></li>
                <li><a href="#content_width_label"><?php _e('Change content width','multi-color'); ?></a></li>
                <li><a href="#sidebar_width_label"><?php _e('Hide or change sidebar width','multi-color'); ?></a></li>
                <li><a href="#header_height_label"><?php _e('Change header height','multi-color'); ?></a></li>
                <li><a href="#thumbnail_width_label"><?php _e('Change thumbnail width','multi-color'); ?></a></li>
                <li><a href="#tabbed_content_label"><?php _e('Set up tabbed content in sidebar','multi-color'); ?></a></li>
                <li><a href="#rss_widget_label"><?php _e('Add widget for rss links','multi-color'); ?></a></li>
                <li><a href="#adsense_widget_label"><?php _e('Add widget for adsense','multi-color'); ?></a></li>
                <li><a href="#twitter_widget_label"><?php _e('Add widget for twitter','multi-color'); ?></a></li>
                <li><a href="#flickr_widget_label"><?php _e('Add widget for flickr','multi-color'); ?></a></li>
                <li><a href="#show_breadcrumbs_label"><?php _e('Show breadcrumbs','multi-color'); ?></a></li>
                <li><a href="#show_category_label"><?php _e('Show category under each post','multi-color'); ?></a></li>
                <li><a href="#show_tag_label"><?php _e('Show tags under post','multi-color'); ?></a></li>
                <li><a href="#show_excerpts_label"><?php _e('Show excerpts','multi-color'); ?></a></li>
                <li><a href="#show_page_meta_label"><?php _e('Show meta information for pages','multi-color'); ?></a></li>
                <li><a href="#show_bookmark_links_label"><?php _e('Show bookmark links under each post','multi-color'); ?></a></li>
            </ol>
        </p>
        <form method="post" enctype="multipart/form-data">

                <div class="label" id="color_scheme_label"><?php _e('Like the theme ? Feel free to donate','multi-color'); ?></div>
		<div class="field">
                    <a style="background:url(<?php echo get_template_directory_uri(); ?>/images/donate_btn.png) no-repeat top left;" href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=ADF8FZXQNQRXS" class="donate_btn"><?php _e('Donate via PayPal','multi-color'); ?></a>
		</div>
                <div class="label" id="color_scheme_label"><?php _e('Select the color scheme:','multi-color'); ?></div>
                <div class="field">
                    <select name="mc_color_scheme" id="mc_color_scheme" tabindex="1">
                        <option value="light" <?php if($options['mc_color_scheme'] == "light") { ?> selected="selected" <?php } ?> ><?php _e('Light','multi-color'); ?></option>
                        <option value="dark"<?php if($options['mc_color_scheme'] == "dark") { ?> selected="selected" <?php } ?> ><?php _e('Dark','multi-color'); ?></option>
                    </select>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="blog_style_label"><?php _e('Select the blog style:','multi-color'); ?></div>
                <div class="field">
                    <select name="mc_blog_style" id="mc_blog_style" tabindex="1">
                        <option value="traditional" <?php if($options['mc_blog_style'] == "traditional") { ?> selected="selected" <?php } ?> ><?php _e('Traditional','multi-color'); ?></option>
                        <option value="magazine"<?php if($options['mc_blog_style'] == "magazine") { ?> selected="selected" <?php } ?> ><?php _e('Magazine','multi-color'); ?></option>
                        <option value="news-gallery"<?php if($options['mc_blog_style'] == "news-gallery") { ?> selected="selected" <?php } ?> ><?php _e('News Gallery','multi-color'); ?></option>
                    </select>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="content_width_label"><?php _e('Content Width:','multi-color'); ?></div>
                <div class="field">
                    <input type="text" name="mc_content_width" tabindex="2" id="mc_content_width" value="<?php echo $options['mc_content_width']; ?>" />
                    <p><?php _e('Enter the width of the entire content in pixels (px). Default is 900px','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="sidebar_width_label"><?php _e('Sidebar Width:','multi-color'); ?></div>
                <div class="field">
                    <p><?php _e('Display Sidebar: ','multi-color'); ?> <input id="mc_show_sidebar" onclick="toggleheightinput()" name="mc_show_sidebar" type="checkbox" value="checkbox" <?php if($options['mc_show_sidebar']) echo "checked='checked'"; ?> /></p>
                    <?php if(!$options['mc_show_sidebar']) $hidesidebar = ' style="display:none;"'; else $hidesidebar = ""; ?>
                    <input<?php echo $hidesidebar; ?> type="text" name="mc_sidebar_width" tabindex="3" id="mc_sidebar_width" value="<?php echo $options['mc_sidebar_width'] ?>" />
                    <p<?php echo $hidesidebar; ?> id="mc_sidebar_width_meta"><?php _e('Enter the width of the sidebar in pixels (px). Sidebar width should not exceed width of the entire content. Default is 240px.','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="header_height_label"><?php _e('Header Height:','multi-color'); ?></div>
                <div class="field">
                    <input type="text" name="mc_header_height" tabindex="4" id="mc_header_height" value="<?php echo $options['mc_header_height'] ?>" />
                    <p><?php _e('Enter the height of the header image in pixels (px). Default is 150px.','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="thumbnail_width_label"><?php _e('Thumbnail Width of magazine/news gallery style blog:','multi-color'); ?></div>
                <div class="field">
                    <input type="text" name="mc_thumbnail_size" tabindex="4" id="mc_thumbnail_size" value="<?php echo $options['mc_thumbnail_size'] ?>" />
                    <p><?php _e('Enter the width of the thumbnail image in pixels (px). Default is 170px.','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="tabbed_content_label"><?php _e('Select the number of tabs for tabbed area in widget:','multi-color'); ?></div>
                <div class="field">
                    <p><select name="mc_tab_count" id="mc_tab_count" tabindex="1">
                            <option value="0" <?php if($options['mc_tab_count'] == 0) { ?> selected="selected" <?php } ?> ><?php _e('No Tabbed content','multi-color'); ?></option>
                            <option value="1"<?php if($options['mc_tab_count'] == 1) { ?> selected="selected" <?php } ?> ><?php _e('One Tab','multi-color'); ?></option>
                            <option value="2" <?php if($options['mc_tab_count'] == 2) { ?> selected="selected" <?php } ?> ><?php _e('Two Tabs','multi-color'); ?></option>
                            <option value="3"<?php if($options['mc_tab_count'] == 3) { ?> selected="selected" <?php } ?> ><?php _e('Three Tabs','multi-color'); ?></option>
                    </select></p>
                    <p><label><?php _e('Tab 1 title:'); ?></label> <input type="text" name="mc_tab1_title" tabindex="4" id="mc_tab1_title" value="<?php echo $options['mc_tab1_title'] ?>" /></p>
                    <p><label><?php _e('Tab 2 title:'); ?></label> <input type="text" name="mc_tab2_title" tabindex="4" id="mc_tab2_title" value="<?php echo $options['mc_tab2_title'] ?>" /></p>
                    <p><label><?php _e('Tab 3 title:'); ?></label> <input type="text" name="mc_tab3_title" tabindex="4" id="mc_tab3_title" value="<?php echo $options['mc_tab3_title'] ?>" /></p>
                    <p><?php _e('Add widgets to these tabbed areas in widget section','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="rss_widget_label"><?php _e('Add widget for RSS Links ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_add_rss" type="checkbox" value="checkbox" <?php if($options['mc_add_rss']) echo "checked='checked'"; ?> />
                    <p><?php _e('Configure this RSS widget in widget section','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="adsense_widget_label"><?php _e('Add widget for adsense ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_add_adsense" type="checkbox" value="checkbox" <?php if($options['mc_add_adsense']) echo "checked='checked'"; ?> />
                    <p><?php _e('Configure this adsense widget in widget section','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="twitter_widget_label"><?php _e('Add widget for twitter ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_add_twitter" type="checkbox" value="checkbox" <?php if($options['mc_add_twitter']) echo "checked='checked'"; ?> />
                    <p><?php _e('Configure this twitter widget in widget section','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="flickr_widget_label"><?php _e('Add widget for flickr ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_add_flickr" type="checkbox" value="checkbox" <?php if($options['mc_add_flickr']) echo "checked='checked'"; ?> />
                    <p><?php _e('Configure this flickr widget in widget section','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="show_breadcrumbs_label"><?php _e('Display breadcrumbs ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_add_breadcrumbs" type="checkbox" value="checkbox" <?php if($options['mc_add_breadcrumbs']) echo "checked='checked'"; ?> />
                    <p><?php _e('This will display breadcrumbs on all archive, single posts and pages.','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="show_category_label"><?php _e('Display category under each post ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_show_category" type="checkbox" value="checkbox" <?php if($options['mc_show_category']) echo "checked='checked'"; ?> />
                    <p><?php _e('This will display category of each post under its title.','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="show_tag_label"><?php _e('Display tags under each post ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_show_tags" type="checkbox" value="checkbox" <?php if($options['mc_show_tags']) echo "checked='checked'"; ?> />
                    <p><?php _e('This will display tags of each post under its content.','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="show_excerpts_label"><?php _e('Display excerpts for traditional style of blog ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_excerpt_traditional" type="checkbox" value="checkbox" <?php if($options['mc_excerpt_traditional']) echo "checked='checked'"; ?> />
                    <p><?php _e('This will display excerpts instead of full contents for traditional style blog','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="show_page_meta_label"><?php _e('Display meta information for pages ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_show_page_meta" type="checkbox" value="checkbox" <?php if($options['mc_show_page_meta']) echo "checked='checked'"; ?> />
                    <p><?php _e('This will display date, comments under the Page title.','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
                <div class="label" id="show_bookmark_links_label"><?php _e('Display bookmark links under each post ?:','multi-color'); ?></div>
                <div class="field">
                    <input name="mc_show_bookmark_links" type="checkbox" value="checkbox" <?php if($options['mc_show_bookmark_links']) echo "checked='checked'"; ?> />
                    <p><?php _e('This will display bookmarking buttons under every post','multi-color'); ?></p>
                    <p class="returntop"><a href="#wpbody-content"><?php _e('Return to top','multi-color'); ?></a></p>
                    <p class="returntop"><a href="#save_settings"><?php _e('Scroll to bottom','multi-color'); ?></a></p>
                </div>
            <p class="submit" id="save_settings">
                <input class="button-primary" type="submit" name="mc_save" onclick="checksidebarwidth()" value="<?php _e('Save Changes','multi-color'); ?>" />
                <input class="button-primary" type="submit" style="margin-left: 20px;" name="mc_reset" value="<?php _e('Reset to Default Settings','multi-color'); ?>" />
            </p>
        </form>
    </div>
<?php
    }

    function addAdminFiles() {
        echo '<link rel="stylesheet" type="text/css" media="all" href="'.get_template_directory_uri().'/admin/admin.css" />'."\n";
        echo '<script type="text/javascript" src="'.get_template_directory_uri().'/admin/admin.js"></script>'."\n";
    }
}
add_action('admin_head', array('mcOptions', 'addAdminFiles'));
add_action('admin_menu', array('mcOptions', 'adddeleteOptions'));
?>