<?php
/**
 * @package WordPress
 * @subpackage multi-color
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	global $page, $paged;
	wp_title( '|', true, 'right' );
	bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'multi-color' ), max( $paged, $page ) );
	?>
</title>

<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/style-<?php echo COLOR_SCHEME; ?>.css" />
<style type="text/css" media="all">
	#wrapper, #main_content{
		width:<?php echo CONTENT_WIDTH; ?>px;
	}
	<?php if(BLOG_STYLE == "news-gallery") { ?>
	#container .sticky {
		background: none;
		padding: 0;
	<?php } ?>	
</style>
<!--[if IE ]>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/style-ie.css" />
<![endif]-->

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	wp_enqueue_script("jquery");
?>
<?php wp_head(); ?>
<!--[if lt IE 7]>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.dropdown.js"></script>
<![endif]-->
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/multi-color.js"></script>
</head>

<body <?php body_class(); ?>>
<div id="wrapper">
	<?php
		if ( 'blank' == get_theme_mod('header_textcolor', HEADER_TEXTCOLOR) || '' == get_theme_mod('header_textcolor', HEADER_TEXTCOLOR))
			$style = ' style="display:none;"';
		else
			$style = ' style="color:#' . get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) . ';"';
	?>
	<div id="headimg" style="width:<?php echo HEADER_IMAGE_WIDTH; ?>px;height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;background: url(<?php header_image(); ?>) repeat;">
		<table style="width:<?php echo HEADER_IMAGE_WIDTH; ?>;height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;"><tr><td style="vertical-align:middle;">
			<h1 id="name"<?php echo $style; ?>><a href="<?php echo home_url(); ?>"<?php echo $style; ?>><?php bloginfo('name'); ?></a></h1>
			<p id="desc"<?php echo $style; ?>><?php bloginfo('description'); ?></p>
		</td></tr></table>
	</div>
	<?php wp_nav_menu( array( 'container_class' => 'menu-header','theme_location' => 'primary','fallback_cb' => 'callback_menu' ) ); ?>
	<div class="clear"></div>