<?php
/**
 * @package WordPress
 * @subpackage multi-color
 */
/**
 * This displays the loop *
 **/
?>
<?php
/** Calculating news gallery width **/
$widthsarr = calculate_layout_width();
$containerwidth = $widthsarr['containerwidth'];
$sidebarwidth = $widthsarr['sidebarwidth'];
$newswidth = MAG_THUMB+10; // Sets the width of each section for news gallery style blog equal to the width of the thumbnail
?>
<?php if ( ! have_posts() ) : ?>
<!-- If posts not found -->
    <div id="post-0" class="post error404 not-found">
        <h1 class="entry-title"><?php _e( 'Not Found','multi-color' ); ?></h1>
        <div class="entry-content">
            <p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.','multi-color' ); ?></p>
                <?php get_search_form(); ?>
        </div>
    </div>
<?php endif; ?>
<?php $newscount = 0; ?>
<?php while ( have_posts() ) : the_post(); ?>
<?php if(BLOG_STYLE == "magazine" and !is_single() and !is_page()) { ?>

<!-- If blog style is magazine -->

<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
    <?php
        if(trim(get_post_image()) != "" or has_post_thumbnail()) {
            $leftwidth = MAG_THUMB; $marginrt = 35;            
        } else { $leftwidth = 0; $marginrt = 0; }        
        $rightwidth = CONTENT_WIDTH - $sidebarwidth - $leftwidth - 60 - $marginrt;
        if(is_sticky()) {
            $rightwidth = $rightwidth - 30;
        }
    ?>
    <?php if(trim(get_post_image()) != "" or has_post_thumbnail()) { ?>
    <div class="alignleft mag_thumb" style="margin-right:35px;width:<?php echo $leftwidth; ?>px;">
        <?php if(has_post_thumbnail()) { ?>
            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('featured-image'); ?></a>
        <?php } else {
            echo '<a href="'.get_permalink().'">'.get_post_image().'</a>';
        }
        ?>
    </div>
    <?php } ?>
    <div class="alignleft" style="width:<?php echo $rightwidth; ?>px;">
        <h2 class="entry-title"><?php if(!is_page() and !is_single()) {?><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'multi-color' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php } ?><?php the_title(); ?><?php if(!is_page() and !is_single()) {?></a><?php } ?></h2>
        <div class="entry-meta">
            <?php if(SHOW_CATEGORY) { ?>
            <?php _e(get_single_category('')); ?>
            <span class="meta-sep"> | </span>
            <?php } ?>
            <?php the_time(__('F j, Y', 'multi-color' )) ?>
            <span class="meta-sep"> | </span>
            <?php comments_popup_link( __( 'Leave a comment', 'multi-color' ), __( '1 Comment', 'multi-color' ), __( '% Comments', 'multi-color' ) ); ?>
            <?php edit_post_link( __( 'Edit', 'multi-color' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
        </div>
        <div class="entry-content">
            <?php the_excerpt(); ?>
            <a class="more-link" href="<?php the_permalink(); ?>"><?php _e('Continue reading...','multi-color'); ?></a>
        </div>
    </div>
    <div class="clear"></div>
</div>

<?php } else if(BLOG_STYLE == "news-gallery" and !is_single() and !is_page()) { ?>

<!-- If blog style is news gallery -->

<?php $newscount++; ?>
<div <?php post_class('news-gall'); ?> id="post-<?php the_ID(); ?>" style="width:<?php echo $newswidth; ?>px;max-width:<?php echo $newswidth; ?>px;margin-right:25px;margin-bottom: 40px;">
<?php if(trim(get_post_image()) != "" or has_post_thumbnail()) { ?>
    <div class="news_thumb" style="text-align: center;margin-bottom:20px;"><?php if(has_post_thumbnail()) { ?>
        <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('featured-image'); ?></a>
    <?php } else {
        echo '<a href="'.get_permalink().'">'.get_post_image().'</a>';
    }
    ?></div>
    <?php } ?>
    <h2 class="entry-title"><?php if(!is_page() and !is_single()) {?><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'multi-color' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php } ?><?php the_title(); ?><?php if(!is_page() and !is_single()) {?></a><?php } ?></h2>
    <div class="entry-meta">
        <?php the_time(__('F j, Y', 'multi-color' )) ?>
    </div>
    <div class="entry-content">        
        <p><?php _e(trim_words(get_the_excerpt(),150)); ?></p>
        <a class="more-link" href="<?php the_permalink(); ?>"><?php _e('Continue reading...','multi-color'); ?></a>
    </div>
</div>
<?php if(floor($containerwidth / ($newswidth+25)) == $newscount) {
    echo '<div class="clear"></div>';
} ?>

<?php } else { ?>
<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">

<!-- If blog style is any thing other than magazine or news gallery -->

    <h2 class="entry-title"><?php if(!is_page() and !is_single()) {?><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'multi-color' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php } ?><?php the_title(); ?><?php if(!is_page() and !is_single()) {?></a><?php } ?></h2>
    <?php if(SHOW_PAGE_META or !is_page()) { ?>
    <div class="entry-meta">
        <?php if(SHOW_CATEGORY and !is_page()) { ?>
        <?php _e(get_single_category('')); ?>
        <span class="meta-sep"> | </span>
        <?php } ?>
        <?php the_time(__('F j, Y', 'multi-color' )) ?>
        <span class="meta-sep"> | </span>
        <?php comments_popup_link( __( 'Leave a comment', 'multi-color' ), __( '1 Comment', 'multi-color' ), __( '% Comments', 'multi-color' ) ); ?>
        <?php edit_post_link( __( 'Edit', 'multi-color' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
    </div>
    <?php } ?>
    <div class="entry-content">
        <?php if(!SHOW_TRAD_EXCERPT) { ?>
            <?php the_content( __( 'Continue reading ...', 'multi-color' ) ); ?>            
            <?php wp_link_pages( array( 'before' => '<div class="clear"></div><div class="page-link">' . __( 'Pages:', 'multi-color' ), 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
        <?php } else { ?>
            <?php the_excerpt(); ?>
            <a class="more-link" href="<?php the_permalink(); ?>"><?php _e('Continue reading...','multi-color'); ?></a>
        <?php } ?>        
    </div>    
    <?php if(is_single()) { ?>
    <?php
	$tags_list = get_the_tag_list( '', ', ' );
	if ( $tags_list ):
    ?>
    <div class="entry-tags">        
        <?php printf( __( '<span class="%1$s">Tagged: </span> %2$s', 'multi-color' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>        
    </div>
    <?php endif; ?>
    <?php } ?>
    <?php if(is_single() and SHOW_BOOKMARKS) { ?>
        <div class="clear"></div>
        <div class="social_bookmarks">
            <?php echo social_bookmarks(); ?>
        </div>
    <?php } ?>
    <div class="clear"></div>
</div>
<?php comments_template( '', true ); ?>
<?php } ?>
<?php endwhile; ?>
<?php if(BLOG_STYLE == "news-gallery" and !is_single() and !is_page()) { ?>
<div class="clear"></div>
<?php } ?>
<?php if (  $wp_query->max_num_pages > 1 and (!is_single() or !is_page()) ) : ?>
<?php include(TEMPLATEPATH . "/navigation.php"); ?>
<?php endif; ?>